Arch Uzavření mezer

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch CloseHoles and the translation is 29% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape

Arch CloseHoles.svg Arch CloseHoles

Umístění Menu
Arch → Utilities → Close Holes
Pracovní stoly
Arch
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Arch Check


Popis

Tento nástroj identifikuje mezery (kruhovité sekvence s otevřenými okraji) v objektu Tvary a pokouší se je uzavřít přidáním nové části vytvořené z okrajové sekvence. Nicméně, musíte přitom stále kontrolovat zda je výsledek těleso.

Použití

  1. Vyberte objekt Tvar
  2. Stiskněte tlačítko Arch CloseHoles.png Uzavřít mezery a dostanete se do nástrojového menu Architektura -> Menu Utility

Skriptování

Tento nástroj může být použit v makrech a z konzoly Pythonu použitím následující funkce:

solid = closeHole(shape)

uzavře mezery v otevřeném tvaru

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape